Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất trên 04/08/2021 trong Bài đăng

  1. 1 điểm
    Đã hiểu. Chủ thớt chỉ cần thay dòng là chuyển tọa độ center Circle chẵn bên WCS sang UCS rồi vẽ mleader theo điểm này là xong. (command "mleader" "h" p1 pause 0 (strcat "T" (rtos n 2 0))) bằng (command "mleader" "h" (trans p1 0 1) pause 0 (strcat "T" (rtos n 2 0)))
  2. 1 điểm
    Mình chỉnh 1 chút chủ thớt test nhé. (defun c:dt (/ p p1 center n clayer osmode) (setvar "cmdecho" 0) (setq clayer (getvar "clayer") osmode (getvar "osmode") ) (setvar "ORTHOMODE" 1) ;;; (command "ucs" "w") (command "clayer" "8 ???") (command "cmleaderstyle" "1") (prompt "\n Ch?n v? trí di?m T ") (setq n 0) (while (setq p (getpoint)) (setq n (1+ n)) (setq p1 (list (atof (rtos (car p) 2 3)) (atof (rtos (cadr p) 2 3)) 0)) (setvar "osmode" 0) (command "circle" p1 0.05) (command "line" (polar p1 0 0.05) (polar p1 pi 0.05) "") (command "rotate" "l" "" p1 "c" 90 "") ;(command "ucs" "p") (command "mleader" "h" p1 pause 0 (strcat "T" (rtos n 2 0))) (setvar "osmode" osmode) ) ;;; (command "ucs" "p") (command "clayer" clayer) (princ) )
  3. 1 điểm
    mình làm như vậy nhưng không bắt được điểm bạn ơi
  4. -1 điểm
    May quá bác bắt đầu hiểu ý em rồi, cám ơn bác đã kiên nhẫn. Với câu hỏi của bác thì: Do tính chất công việc em buộc phải làm tròn tọa độ ở wcs , làm tròn của em là từ số thứ 4 sau dấu phẩy sẽ đưa nó về 0 chính về thế mới có dòng (setq p1 (list (atof (rtos (car p) 2 3)) (atof (rtos (cadr p) 2 3)) 0)) này đó bác, không phải làm tròn kiểu luprec đâu ( cái này chỉ về mặt hiển thị thôi chứ bản chất nó không làm tròn) Theo video của bác, nếu bác đưa về wcs , để luprec 7 thì tọa độ của bác sẽ không có dạng xx,xxx0000 (đây là điều em muốn)
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×